// BlinkenSisters - Hunt for the Lost Pixels
//     Bringing back the fun of the 80s
//
// (C) 2005-07 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef DRAWPRIMITIVES_H
#define DRAWPRIMITIVES_H

void drawcircle(const Sint32 x, const Sint32 y, const Sint32 radius, const Uint32 color);
void drawrect(const Sint32 x, const Sint32 y, const Sint32 width, const Sint32 height, const Uint32 color);
void DrawPixel(SDL_Surface *screen, int x, int y, Uint8 R, Uint8 G, Uint8 B);

#define DIE_ON_FILE_ERROR true
#define IGNORE_FILE_ERROR false
SDL_Surface * BS_IMG_Load_DisplayFormat(const char * filename, bool die_on_error);

#endif // DRAWPRIMITIVES_H
